Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.logging
[Java] Interface Logger

    public interface Logger
    extends Logger

An extension to the SLF4J `Logger` interface, which adds the `quiet` and `lifecycle` log levels.

You can obtain a `Logger` instance using Logging#getLogger(Class)#getLogger(Class) or Logging#getLogger(String)#getLogger(String). A `Logger` instance is also available through Project.getLogger, Task.getLogger and Script.getLogger.

Method Summary
`void` | `debug(String message, Object... objects)` Multiple-parameters friendly debug method
`void` | `info(String message, Object... objects)` Logs the given message at info log level.
`boolean` | `isEnabled(LogLevel level)` Returns true if the given log level is enabled for this logger.
`boolean` | `isLifecycleEnabled()` Returns true if lifecycle log level is enabled for this logger.
`boolean` | `isQuietEnabled()` Returns true if quiet log level is enabled for this logger.
`void` | `lifecycle(String message)` Logs the given message at lifecycle log level.
`void` | `lifecycle(String message, Object... objects)` Logs the given message at lifecycle log level.
`void` | `lifecycle(String message, Throwable throwable)` Logs the given message at lifecycle log level.
`void` | `log(LogLevel level, String message)` Logs the given message at the given log level.
`void` | `log(LogLevel level, String message, Object... objects)` Logs the given message at the given log level.
`void` | `log(LogLevel level, String message, Throwable throwable)` Logs the given message at the given log level.
`void` | `quiet(String message)` Logs the given message at quiet log level.
`void` | `quiet(String message, Object... objects)` Logs the given message at quiet log level.
`void` | `quiet(String message, Throwable throwable)` Logs the given message at quiet log level.

Method Detail

### debug

    public void debug(String message, Object... objects)

  Multiple-parameters friendly debug method
  Parameters:
    `message` - the log message
    `objects` - the log message parameters

### info

    public void info(String message, Object... objects)

  Logs the given message at info log level.
  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### isEnabled

    public boolean isEnabled(LogLevel level)

  Returns true if the given log level is enabled for this logger.

### isLifecycleEnabled

    public boolean isLifecycleEnabled()

  Returns true if lifecycle log level is enabled for this logger.

### isQuietEnabled

    public boolean isQuietEnabled()

  Returns true if quiet log level is enabled for this logger.

### lifecycle

    public void lifecycle(String message)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.

### lifecycle

    public void lifecycle(String message, Object... objects)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### lifecycle

    public void lifecycle(String message, Throwable throwable)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

### log

    public void log(LogLevel level, String message)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.

### log

    public void log(LogLevel level, String message, Object... objects)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.
    `objects` - the log message parameters.

### log

    public void log(LogLevel level, String message, Throwable throwable)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.
    `throwable` - the exception to log.

### quiet

    public void quiet(String message)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.

### quiet

    public void quiet(String message, Object... objects)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### quiet

    public void quiet(String message, Throwable throwable)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

Gradle API 1.1-rc-1